/* Applied styles only for category page */

.breadcrumbs {
  background-color: var(--color-soft-gray) !important;
}

.page-title {
  text-align: center;
  padding-bottom: 20px;

  span {
    font-size: 38px !important;
  }
}

.page-title-wrapper,
.category-view {
  background-color: var(--color-soft-gray);
  width: 100% !important;
  display: flex;
  justify-content: center;
}

.category-description {
  width: 60%;
  text-align: center;
}

.category-description p {
  color: var(--color-almost-black) !important;
}

/* End of applied styles only for category page */

/* Rest of the styles */

[aria-labelledby="page-title-heading toolbar-amount"] {
  text-align: center;
}

[aria-labelledby="page-title-heading toolbar-amount"] span {
  font-size: 30px !important;
  letter-spacing: 0.6px;
}

.panel-toggle-wrap.applied .content-toggle span {
  color: var(--color-white) !important;
}

.panel-toggle-wrap.applied .content-toggle:hover span {
  color: var(--color-black) !important;
}



#amasty-shopby-product-list {

  .toolbar-products:nth-of-type(2) {
    display: none !important;
  }

}

.sorter {
  padding: 0 !important;
}

.sorter label {
  color: var(--color-almost-black) !important;
}

.sorter-options {
  border: none;
  color: var(--color-almost-black) !important;
  font-weight: bold !important;
  text-transform: uppercase;
  letter-spacing: 0.26px;
  margin: 0 !important;
  padding-left: 0;
}

@media screen and (max-width: 480px) {
  .sorter-options {
    width: 15px !important;
  }
}

.toolbar-products {
  background-color: inherit !important;
}

.toolbar {
  margin-top: 10px !important;
  padding-right: 0 !important;
  padding-left: 0 !important;
  display: flex !important;
  align-items: center !important;
  justify-content: space-between;
}

@media screen and (min-width: 768px) {
  .toolbar {
    margin: 0 !important;
  }
}

.column>.amasty-shopby-product-list:first-of-type {
  margin: 20px 0px !important;
}

@media screen and (min-width: 768px) {
  .toolbar .toolbar-amount {
    display: block !important;
    font-weight: bold !important;
    color: var(--color-almost-black) !important;
    float: none !important;
    /* position: absolute !important; */
    left: 48% !important;
  }

  .toolbar-amount {
    float: none !important;
  }

  .toolbar .toolbar-amount span {
    font-weight: bold !important;
    color: var(--color-almost-black) !important;
  }

}

.block.filter {
  margin: 0 !important;
  float: none !important;
  /* position: absolute !important; */
  /* right: 29px !important; */
  width: 80px;
  white-space: nowrap;
  /* border: 1px solid; */
}



@media screen and (max-width: 768px) {
  .block.filter {
    /* max-width: 26%; */
    right: 20px !important;
  }


  #amasty-shopby-product-list>div:first-of-type {

    padding: 0 2px;

  }

  .category-view {
    padding-bottom: 10px;
  }

  .page-title {
    padding-top: 32px;

    span {
      font-size: 30px !important;
    }
  }

  .category-description {
    width: 100%;
    margin-bottom: 0;

    p {
      margin-bottom: 0;

    }

  }

  .toolbar .toolbar-amount {
    display: none !important;
  }

  .breadcrumbs strong {
    font-size: 11px !important;
  }

  select option[value=""][disabled] {
    display: none;
  }

}

@media screen and (min-width: 768px) {
  .block.filter {
    /* max-width: 60px; */
  }

  .toolbar {
    padding: 20px 0px !important;
  }
}

@media screen and (min-width: 1536px) {
  .block.filter {
    /* max-width: 8% !important; */
  }
}

.block.filter .block-title.filter-title {
  display: flex;
  align-items: center;
  justify-content: end;
  margin-bottom: 0 !important;
}


@media screen and (min-width: 768px) {
  .block.filter .block-title.filter-title {
    float: none !important;
  }
}

.block.filter .block-title.filter-title:not([data-count="0"]):before {
  display: none !important;
}

.block.filter .block-title.filter-title strong:before {
  display: none !important;
}

.block.filter .block-title.filter-title strong {
  border: none !important;
  background-color: inherit !important;
  color: var(--color-almost-black) !important;
  padding-right: 0px !important;
}

@media screen and (max-width: 768px) {
  .block.filter .block-title.filter-title strong {
    padding: 0 !important;
  }
}

.block.filter .block-title.filter-title strong::after {
  content: '' !important;
  font-family: 'icons-blank-theme';
  content: '\e616';
  color: #fff;
  font-size: 36px;
  font-weight: normal;
  padding: 0 10px;
  position: fixed;
  width: 100%;
  height: 100%;
  left: 0;
  display: block;
  top: 0;
  z-index: 30;
  text-align: start;
  transition: all 1s ease;
  pointer-events: none;
}

.block.filter.active .filter-content {
  width: 100% !important;
  max-width: 88vw !important;
}

@media screen and (min-width: 1440px) {
  .block.filter.active .filter-content {
    width: 30% !important;
    max-width: 85vw !important;
  }
}

.block.filter .filter-content .filter-actions {
  display: flex;
  justify-content: space-between;
  margin-bottom: 60px;
}

.hidden-filter {
  display: none !important;
}

.appliedCategoryFilters {
  display: none;
}

@media screen and (min-width: 1440px) {
  .appliedCategoryFilters {
    margin-left: 20px;
    display: block;
  }
}

.custom-category-dropdown {
  /* position: absolute; */
  right: 30%;
  display: inline-block;
}


@media screen and (max-width: 768px) {
  .custom-category-dropdown {
    right: 90px;
    z-index: 10;
  }
}

@media screen and (min-width: 768px) {
  .custom-category-dropdown {
    right: 15%;
  }
}

@media screen and (min-width: 1536px) {
  .custom-category-dropdown {
    right: 90px;
  }
}

.custom-filter-title {
  cursor: pointer;
  /* padding: 10px; */
  color: var(--color-almost-black);
  font-weight: 600 !important;
  position: relative;
  bottom: 1px;
}

@media screen and (min-width: 768px) {
  .custom-filter-title {
    padding: 10px;
  }
}

.category-filter-content {
  position: absolute;
  right: 40%;
  background-color: var(--color-white);
  box-shadow: 0 6px 18px #00000029;
  padding: 1em;
  z-index: 1000;
  width: 250px;
  height: 400px;
  overflow: auto;
  display: none;
  flex-direction: column;
  /* Hidden by default */
}

.custom-filter-label {
  display: block;
  margin-bottom: 10px;
  text-align: left;
}

.custom-filter-label a {
  letter-spacing: 0.28px !important;
  text-transform: uppercase;
}

.custom-filter-arrow_icon {
  position: relative;
  top: 2px;
  transition: transform 0.3s ease;
}

.custom-filter-arrow_icon_rotated {
  position: relative;
  top: 4px;
  transform: rotate(270deg);
}

/* Show dropdown on hover */
.custom-category-dropdown:hover .custom-filter-content {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.custom-category-dropdown:hover .custom-filter-arrow_icon {
  transform: rotate(180deg);
}

.more-categories-paragraph {
  color: #afafaf !important;
  font-size: 12px !important;
  margin-bottom: 15px;
}


.filter-options-item .filter-options-content .items:not(.items-children):not(.am-category-view) {
  display: grid !important;
  grid-template-columns: repeat(2, 1fr);
  margin: 0 !important;
}

@media screen and (min-width: 1920px) {
  .filter-options-item .filter-options-content .items:not(.items-children):not(.am-category-view) {
    grid-template-columns: repeat(4, 1fr);
  }
}

.block.filter .filter-options .filter-options-content .item:before {
  display: none !important;
}

.block.filter .filter-options .filter-options-content .item {
  grid-column: auto;
  margin: 0 !important;
  /* padding: 0 0 0 20px !important; */
}

.block.filter .filter-options .filter-options-content .item {
  padding: 0 !important;
}

.block.filter .filter-options .filter-options-content .item a span {
  text-transform: uppercase;
  color: var(--color-almost-black) !important;
  letter-spacing: 0.28px;
}

.custom-filter-label form .items {
  overflow-y: hidden !important;
}

.custom-filter-label form .items li {
  margin-bottom: 10px !important;
}

.custom-filter-label form .items li a {
  margin-left: 5px;
}

.custom-filter-label form .items li a span {
  color: var(--color-almost-black) !important;
  letter-spacing: 0.28px !important;
  text-transform: uppercase;
}

.block.filter .block-actions .action.clear {
  background-color: inherit !important;
  border: inherit !important;
  letter-spacing: 0.26px !important;
  padding-left: 0 !important;
}

.block.filter .block-actions .action.clear span {
  color: var(--color-medium-gray) !important;
}

.block.filter .filter-options .filter-options-item .filter-options-title:before {
  display: none !important;
}

.block.filter .filter-options .filter-options-item .filter-options-title {
  text-align: left !important;
  color: var(--color-almost-black) !important;
  font-size: 16px !important;
  letter-spacing: 0.32px !important;
}

.filter-options-content .am-ranges .items.-am-multiselect .item [class*='am-filter-item'] {
  padding-left: 30px !important;
  text-align: left !important;
}

block.filter .filter-options .filter-options-item {
  padding-bottom: 46px !important;
}

.filter-options-item {
  border: none !important;
  padding-bottom: 30px !important;
}

.block.filter .filter-options .filter-options-item .filter-options-title {
  font-weight: 700 !important;
}

.block.filter .filter-options .filter-options-content {
  margin: 26px 0 0 !important;
}

@media screen and (min-width: 768px) {
  #amasty-shopby-product-list .block.filter.active .filter-content {
    padding: 42px 42px 60px 60px !important;
  }

  .filter-options-item .filter-options-content .items:not(.items-children):not(.am-category-view) {
    gap: 2em !important;
  }
}

.filter-options input[type='checkbox']+.amshopby-choice:before,
.filter-options input[type='checkbox']+.amshopby-choice:after {
  width: 16px !important;
  height: 16px !important;
  top: -4px !important;
  border-color: var(--color-black) !important;
}

.filter-options input[type='checkbox']+.amshopby-choice:after {
  background-image: url("../images/custom_checkbox.svg") !important;
  background-color: inherit !important;
}

#showMoreBtn {
  background-color: inherit;
  color: var(--color-almost-black) !important;
  font-size: 13px !important;
  letter-spacing: 0.26px;
  border: inherit;
  display: flex;
  padding: 20px 0;
  text-decoration: underline;
}

.submit-filters-container {
  margin-top: 5%;
}

#amshopby-submit-filters {
  background-color: var(--color-almost-black) !important;
  color: var(--color-white) !important;
  font-size: 14px !important;
  border: none !important;
}

@media screen and (max-width: 768px) {
  .custom_am_shopby_apply_filters {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    /* right: -6% !important;
    bottom: 5% !important; */
  }

  .filter-options input[type='checkbox']+.amshopby-choice:before,
  .filter-options input[type='checkbox']+.amshopby-choice:after {
    top: 3px !important;
  }

  .block.filter .filter-options .filter-options-content .item a span {
    font-size: 13px !important;
  }

  .block.filter .filter-options .filter-options-item .filter-options-title {
    font-size: 15px !important;
  }
}

@media screen and (min-width: 769px) {
  .custom_am_shopby_apply_filters {
    display: flex !important;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    visibility: visible !important;
    /* right: 25% !important;
    bottom: 20% !important; */

  }
}

/* @media screen and (min-width: 1024px) {
  .custom_am_shopby_apply_filters {
    right: 28% !important;
  }
}

@media screen and (min-width: 1280px) {
  .custom_am_shopby_apply_filters {
    right: 30% !important;
  }
}

@media screen and (min-width: 1440px) {
  .custom_am_shopby_apply_filters {
    right: 5% !important;
  }
}

@media screen and (min-width: 1920px) {
  .custom_am_shopby_apply_filters {
    right: 7% !important;
  }
} */

.custom_am_shopby_apply_filters {
  /* top: auto !important;
  left: auto !important; */
  /* right: 8% !important; */
  margin-top: 10%;
}

@media screen and (min-width: 769px) {
  .custom_am_shopby_apply_filters {
    margin-top: 30%;
  }
}

.custom_am_shopby_apply_filters p {
  color: var(--color-almost-black) !important;
  font-size: 14px !important;
  letter-spacing: 0.28px;
}

.custom_am_shopby_apply_filters button {
  background-color: var(--color-dark-brown-gray) !important;
  color: var(--color-white) !important;
  font-size: 14px !important;
  letter-spacing: 0.84px;
  border: none !important;
  width: 55% !important;
}

.am_shopby_apply_filters {
  display: none !important;
}

.am-show-button {
  box-shadow: none !important;
}

.product-item .price-box {
  margin: 10px 0 !important;
  flex-grow: 1 !important;
}

/* End of rest of the styles */

/* Styles to be applied only to the first */

.block.filter~.block.filter .block-title.filter-title strong {
  display: flex;
  gap: 30px;
}

/* .products.wrapper~.toolbar .filter-title {
  display: none;
} */

/* End of styles to be applied only to the first */

/* Media */


.toolbar-sorter {
  text-align: start;
}

.toolbar-left-wrapper {
  display: flex;
  align-items: center;

}

@media screen and (min-width: 768px) {
  [aria-labelledby="page-title-heading toolbar-amount"] span {
    font-size: 38px !important;
    letter-spacing: 0.76px;
  }

  .toolbar-left-wrapper,
  .toolbar-right-wrapper {
    width: 310px;
    white-space: nowrap;
  }


  .sorter {
    float: none !important;
  }
}

.amscroll-load-button {
  background: #282522;
  width: 175px;
  place-content: center;
  margin-bottom: 40px;

  span {
    color: white !important;
  }
}

.amscroll-load-button:hover {
  background: #282522 !important;
}

.product-list-style-22 {
  .cdz-product-labels {
    width: auto !important;

  }
}

.catalog-category-view .block.filter .filter-content {
  overflow: inherit !important;
  position: relative;
  z-index: 31;
  background: white;
  position: fixed;
  height: 100vh !important;
  background: white;
  width: 500px !important;
  bottom: 40%;
  transition: opacity 1s ease, transform 1s ease, visibility 1s linear 0s !important;
  transform: translateX(400px) !important;
  top: 0;
  right: 0;
  padding: 60px !important;
}

@media only screen and (max-width : 768px) {
  .catalog-category-view .block.filter.active .filter-content {
    max-width: 350px !important;
  }

  .catalog-category-view .block.filter .filter-content {
    width: 350px !important;
    padding: 20px !important;
  }

  .product-list-style-22 {
    .action-towishlist {
      position: absolute;
      top: 5px;
      z-index: 1;
      right: 5px;
    }
  }

}

.catalog-category-view .block.filter.active .filter-content {
  transform: translateX(0px) !important;
  max-width: 500px;
  overflow: auto !important;
}

.active .block-title.filter-title strong:after {
  transition: all ease 1s;
  pointer-events: all !important;

}

.shop-the-look-details {
  display: flex !important;
  flex-direction: column;
  align-items: center;

  .name {
    text-align: center;
  }
}

.filter-content {

  ol {
    overflow: hidden !important;
  }
}

.amshopby-overlay-block {
  background: transparent !important;
}

@media (max-width: 767px) {
  select {
    color: transparent;
    /* Hide the text */
    text-shadow: 0 0 0 #000;
    /* Optional: keep dropdown arrow visible on some browsers */
  }

  .shop-the-look-details {

    .product-item-name {
      text-align: left;
      width: 100%;

      .product-item-link {
        font-size: 12px !important;
      }
    }
  }

  .category-page-divider {
    height: 1px;
    background: #EBEBEB;
    width: 100vw;
    position: relative;
    left: -22px;
  }

  .product-list-style-22 {


    .product-items {
      padding-top: 25px;
    }
  }
}

@media (max-width: 520px) {
  .stl-item:nth-child(3n) {
    width: 100% !important;
  }

  .toolbar-products {

    strong,
    .sorter-label,
    .custom-filter-title {
      font-size: 13px !important;
    }
  }
}

.page-with-filter {
  .cdz-product-labels {
    width: 100% !important;
  }
}